#ifndef ATL_INSTINFO_H
   #define ATL_INSTINFO_H

#define ATL_ARCH "POWER764"
#define ATL_INSTFLAGS "-1 0 -a 1 -l 1"
#define ATL_F2CDEFS "-DAdd_ -DF77_INTEGER=int -DStringSunStyle"
#define ATL_ARCHDEFS "-DATL_OS_Linux -DATL_ARCH_POWER7 -DATL_CPUMHZ=3425 -DATL_USE64BITS -DATL_GAS_PPC"
#define ATL_DKCFLAGS "-O2 -mvsx -mcpu=power7 -mtune=power7 -mvrsave -funroll-all-loops -g -Wa,--noexecstack -fPIC -m64"
#define ATL_DKC "/usr/bin/gcc"
#define ATL_SKCFLAGS "-O2 -mvsx -mcpu=power7 -mtune=power7 -mvrsave -funroll-all-loops -g -Wa,--noexecstack -fPIC -m64"
#define ATL_SKC "/usr/bin/gcc"
#define ATL_DMCFLAGS "-O2 -mvsx -mcpu=power7 -mtune=power7 -mvrsave -funroll-all-loops -g -Wa,--noexecstack -fPIC -m64"
#define ATL_DMC "/usr/bin/gcc"
#define ATL_SMCFLAGS "-O2 -mvsx -mcpu=power7 -mtune=power7 -mvrsave -funroll-all-loops -g -Wa,--noexecstack -fPIC -m64"
#define ATL_SMC "/usr/bin/gcc"
#define ATL_ICCFLAGS "-DL2SIZE=33554432 -I/builddir/build/BUILD/ATLAS/ppc64_power7/include -I/builddir/build/BUILD/ATLAS/ppc64_power7/..//include -I/builddir/build/BUILD/ATLAS/ppc64_power7/..//include/contrib -DAdd_ -DF77_INTEGER=int -DStringSunStyle -DATL_OS_Linux -DATL_ARCH_POWER7 -DATL_CPUMHZ=3425 -DATL_USE64BITS -DATL_GAS_PPC -m64 -DWALL -DATL_NCPU=4 -O2 -mvsx -mcpu=power7 -mtune=power7 -mvrsave -funroll-all-loops -g -Wa,--noexecstack -fPIC -m64"
#define ATL_ICC "/usr/bin/gcc"
#define ATL_F77FLAGS "-O2 -mvsx -mcpu=power7 -mtune=power7 -mvrsave -funroll-all-loops -g -Wa,--noexecstack -fPIC -m64"
#define ATL_F77 "/usr/bin/gfortran"
#define ATL_DKCVERS "gcc (GCC) 8.0.1 20180131 (Red Hat 8.0.1-0.9)"
#define ATL_SKCVERS "gcc (GCC) 8.0.1 20180131 (Red Hat 8.0.1-0.9)"
#define ATL_DMCVERS "gcc (GCC) 8.0.1 20180131 (Red Hat 8.0.1-0.9)"
#define ATL_SMCVERS "gcc (GCC) 8.0.1 20180131 (Red Hat 8.0.1-0.9)"
#define ATL_ICCVERS "gcc (GCC) 8.0.1 20180131 (Red Hat 8.0.1-0.9)"
#define ATL_F77VERS "GNU Fortran (GCC) 8.0.1 20180131 (Red Hat 8.0.1-0.9)"
#define ATL_SYSINFO "Linux buildvm-ppc64-18.ppc.fedoraproject.org 4.14.13-300.fc27.ppc64 #1 SMP Thu Jan 11 03:51:43 UTC 2018 ppc64 ppc64 ppc64 GNU/Linux"
#define ATL_DATE    "Wed Feb  7 09:22:54 UTC 2018"
#define ATL_UNAM    "mockbuild"
#define ATL_VERS    "3.10.3"

#endif
