#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,128,192,256,320,512,576,640,704,832,896,960,1024,1408,2816,5696
 * N : 25,128,192,256,320,512,576,640,704,832,896,960,1024,1408,2816,5696
 * NB : 5,5,12,16,64,32,64,64,72,64,64,64,144,144,128,192
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 160) (nb_) = 5; \
   else if ((n_) < 224) (nb_) = 12; \
   else if ((n_) < 288) (nb_) = 16; \
   else if ((n_) < 416) (nb_) = 64; \
   else if ((n_) < 544) (nb_) = 32; \
   else if ((n_) < 672) (nb_) = 64; \
   else if ((n_) < 768) (nb_) = 72; \
   else if ((n_) < 992) (nb_) = 64; \
   else if ((n_) < 2112) (nb_) = 144; \
   else if ((n_) < 4256) (nb_) = 128; \
   else (nb_) = 192; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
