#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,192,384,832,896,960,1024,1280,1344,1472,1728,3456
 * N : 25,192,384,832,896,960,1024,1280,1344,1472,1728,3456
 * NB : 5,64,64,16,28,100,80,40,80,64,64,64
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 108) (nb_) = 5; \
   else if ((n_) < 608) (nb_) = 64; \
   else if ((n_) < 864) (nb_) = 16; \
   else if ((n_) < 928) (nb_) = 28; \
   else if ((n_) < 992) (nb_) = 100; \
   else if ((n_) < 1152) (nb_) = 80; \
   else if ((n_) < 1312) (nb_) = 40; \
   else if ((n_) < 1408) (nb_) = 80; \
   else (nb_) = 64; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
